# InfinityPagedComponentContext

class InfinityPagedComponentContext < T >(source)

Context for managing infinite pagination in a Compose UI.

#### Parameters

page

Initial page number.

size

Number of items per page.

#### Type Parameters

T

The type of the data being paginated.

## Functions

loadNext
Link copied to clipboard
fun loadNext (): Job

Loads the next page of data. If the current page is the last one, the function returns early.

reload
Link copied to clipboard
fun reload (): Job

Reloads the pagination from the first page, clearing previously loaded data.